
Redmine - Patch #9102

Dry up MailHandler logging

2011-08-22 22:02 - Alex Shulgin

Status: Closed Start date: 2011-08-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

Attached patch removes duplicated checks on logger presence in the MailHandler.  Also, running "if logger && logger.info" seems to

be a dumb thing and adds spurious empty log lines.

The fix is to make logger call always return a non-nil object, even when logger is set to nil in the environment configuration file (a

default in production.)  It might be good to include into Rails itself, so you never need to write another "if logger" line.

Related issues:

Related to Redmine - Defect #14598: Wrong test with logger.info in model mail... Closed

History

#1 - 2011-08-22 22:36 - Etienne Massip

- Category set to Code cleanup/refactoring

#2 - 2016-01-16 03:47 - Go MAEDA

- Related to Defect #14598: Wrong test with logger.info in model mail_handler added

#3 - 2019-08-10 09:48 - Go MAEDA

- Status changed from New to Closed

Fixed in r18069.
